/* Declaração de Variáveis */
:root {
    --primary-color: #70e104;
    /* Cor principal */
    --secondary-color: #059d3d;
    /* Cor secundária */
    --accent-color: rgb(255, 219, 12);
    /* Cor de destaque */
    --background-color: #f4f4f4;
    /* Cor de fundo */
    --text-color: #333;
    --footer-background: #333;
    /* Fundo do rodapé */
    --footer-text: #fff;
    /* Texto do rodapé */
}
/* Estilos Gerais */
body {
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;
    display: flex;
    flex-direction: column;
    min-height: 100vh;
    /* Garantir altura total da janela */
    background-color: #f4f4f4;
    color: #333;
}

/* Cabeçalho */
header {
    background-color: var(--footer-text);
    color: var(--text-color);
    padding: 10px 20px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.menu-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    padding: 10px;
}

/* Logo */
.logo h1 {
    font-size: 1.5em;
    font-weight: bold;
    margin: 0;
    color: #059d3d;
}

/* Botão do Menu (Dropdown) */
.menu-toggle {
    background: none;
    border: none;
    color: #fff;
    font-size: 1.5em;
    cursor: pointer;
    display: none;
}

/* Menu de Navegação */

.menu ul {
    list-style: none;
    margin: 0;
    padding: 10px;
    display: flex;
    gap: 20px;
    justify-content: center;
    align-items: center;
}

.menu ul li a {
    text-decoration: none;
    color: var(--text-color);
    font-weight: bold;
}
.menu ul li a:hover {
    color: var(--secondary-color);
}

/* Botões Login e Cadastro */
.botoes{
    display: flex;
    flex-direction: row;
    justify-content: center;
    margin-left: 25px;
}
.botoes a{
    margin-left: 25px;
    padding: 10px 60px 10px 60px;
    text-align: center;
}

.btn-login{
    text-decoration: none;
    /*background-color: var(--primary-color);*/
    border: 2px solid var(--secondary-color);
    padding: 5px 15px;
    border-radius: 3px;
    font-size: 0.9em;
    border-radius: 10px;
    color: #333;
}
.btn-login:hover {
    background-color: #333;
    color: white;
}
.btn-signup {
    background-color: var(--secondary-color);
    text-decoration: none;
    color: white;
    /*background-color: var(--primary-color);*/
    border: 2px solid var(--secondary-color);
    padding: 5px 15px;
    border-radius: 3px;
    font-size: 0.9em;
    border-radius: 10px;
}
.btn-signup:hover{
    background-color: #06712d;
    color: white;
}


/* Banner de Destaque */
.banner {
    /*background: #333;*/
    height: 520px;
    /* Imagem no banner */
    /* Escalar proporcionalmente */
}

/* Ajustes para telas menores */
@media (max-width: 768px) {
    .banner {
        background-size: contain;
        /* Escalar para caber */
    }
}

.banner img {
    width: 100%;
    height: auto;
    /* Proporção automática */
}
.banner2 {
    background-color: #0073e6;
    text-align: center;
    padding: 50px 20px;
}

.banner2 h2 {
    font-size: 2.5em;
    margin-bottom: 10px;
}

.banner2 p {
    font-size: 1.2em;
    margin-bottom: 20px;
}

.banner2 .btn {
    background-color: #0073e6;
    color: #fff;
    padding: 10px 20px;
    text-decoration: none;
    border-radius: 5px;
    margin-right: 10px;
}

.banner2 .btn-secondary {
    background-color: #004a99;
    color: #fff;
    padding: 10px 20px;
    text-decoration: none;
    border-radius: 5px;
}

/* Rodapé Fixado */
footer {
    background-color: #e8f8ee;
    color: #333
    
    ;
    text-align: center;
    padding: 10px;
    position: relative;
    /* Fixar o rodapé */
    bottom: 0;
    width: 100%;
    /* Garantir que ocupe toda a largura */
}

/* Ajustes para Telas Pequenas */
@media (max-width: 768px) {
    .menu ul {
        flex-direction: column;
        display: none;
        background-color: #0073e6;
        padding: 10px;
        border-radius: 5px;
    }

    .menu ul li {
        margin-bottom: 10px;
    }

    .menu-toggle {
        display: block;
    }

    .menu ul.show {
        display: flex;
    }
}